> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chats

> List the chats of a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /chats
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /chats:
    get:
      tags:
        - Project
      summary: List Chats
      description: List the chats of a project
      operationId: getChats
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 1000
            type: number
            minimum: 1
            maximum: 10000
        - name: offset
          in: query
          required: false
          schema:
            default: 0
            type: number
            minimum: 0
        - name: start_date
          in: query
          required: false
          schema:
            default: '2026-01-01'
            description: >-
              full-date notation as defined by RFC 3339, section 5.6, for
              example, 2017-07-21
            example: '2025-09-22'
            type: string
            format: date
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        - name: end_date
          in: query
          required: false
          schema:
            default: '2026-01-01'
            description: >-
              full-date notation as defined by RFC 3339, section 5.6, for
              example, 2017-07-21
            example: '2025-09-22'
            type: string
            format: date
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        - name: brand_id
          in: query
          required: false
          schema:
            type: string
        - name: prompt_id
          in: query
          required: false
          schema:
            type: string
        - name: model_id
          in: query
          required: false
          schema:
            deprecated: true
            description: 'Deprecated: use model_channel_id instead'
            type: string
            enum:
              - chatgpt-scraper
              - gpt-4o
              - gpt-4o-search
              - gpt-3.5-turbo
              - llama-sonar
              - perplexity-scraper
              - sonar
              - gemini-2.5-flash
              - gemini-scraper
              - google-ai-overview-scraper
              - google-ai-mode-scraper
              - llama-3.3-70b-instruct
              - deepseek-r1
              - deepseek-v4-pro
              - claude-3.5-haiku
              - claude-haiku-4.5
              - claude-sonnet-4
              - grok-scraper
              - microsoft-copilot-scraper
              - grok-4
              - grok-4.3
              - qwen-3-6-plus
              - qwen-3-7-plus
              - amazon-rufus-scraper
        - name: model_channel_id
          in: query
          required: false
          schema:
            type: string
            enum:
              - openai-0
              - openai-1
              - qwen-0
              - openai-2
              - perplexity-0
              - perplexity-1
              - google-0
              - google-1
              - google-2
              - google-3
              - anthropic-0
              - anthropic-1
              - deepseek-0
              - meta-0
              - xai-0
              - xai-1
              - microsoft-0
              - amazon-0
        - name: features
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - SHOPPING
                - PRODUCT_COMPARISON
                - AD
                - MAP
                - WEB_SEARCH
        - name: include_archived_prompts
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: ch_61184892-36ad-4e1a-8178-3a83608f7711
                        prompt:
                          type: object
                          properties:
                            id:
                              type: string
                              example: pr_93f790de-5b7a-45ee-b782-61103c81f20d
                          required:
                            - id
                        model:
                          deprecated: true
                          description: 'Deprecated: use model_channel instead'
                          type: object
                          properties:
                            id:
                              type: string
                              example: gpt-4o-search
                          required:
                            - id
                        model_channel:
                          type: object
                          properties:
                            id:
                              type: string
                              example: openai-1
                          required:
                            - id
                        date:
                          type: string
                          example: '2025-09-17'
                        features:
                          type: array
                          items:
                            type: string
                            enum:
                              - SHOPPING
                              - PRODUCT_COMPARISON
                              - AD
                              - MAP
                              - WEB_SEARCH
                      required:
                        - id
                        - prompt
                        - model
                        - model_channel
                        - date
                  total_count:
                    type: number
                    example: 42
                    description: Total number of matching chats, ignoring pagination
                  totalCount:
                    type: number
                    example: 42
                    description: Total number of matching chats, ignoring pagination
                    deprecated: true
                required:
                  - data
                  - total_count
                  - totalCount
                description: Success
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````